<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://swsoft.com/SiteBuilder/HostService/v_3_2" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://swsoft.com/SiteBuilder/HostService/v_3_2" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://swsoft.com/SiteBuilder/HostService/v_3_2">
      <s:element name="GetHostById">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="hostId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetHostByIdResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetHostByIdResult" type="tns:HostValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="HostValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Id" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Address" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsActive" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="SmtpFrom" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="SmtpHost" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="SmtpPassword" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="SmtpUser" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="SmtpPort" type="s:int"/>
        </s:sequence>
      </s:complexType>
      <s:element name="CredentialsSoapHeader" type="tns:CredentialsSoapHeader"/>
      <s:complexType name="CredentialsSoapHeader">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Login" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string"/>
        </s:sequence>
        <s:anyAttribute/>
      </s:complexType>
      <s:element name="GetHostByAddress">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="address" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetHostByAddressResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetHostByAddressResult" type="tns:HostValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="FindHosts">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="criteria" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="pos" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="count" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortType" type="tns:SortType"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortDirection" type="tns:SortDirection"/>
            <s:element minOccurs="1" maxOccurs="1" name="type" type="tns:HostType"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="SortType">
        <s:restriction base="s:string">
          <s:enumeration value="Name"/>
          <s:enumeration value="Address"/>
          <s:enumeration value="Owner"/>
          <s:enumeration value="Active"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="SortDirection">
        <s:restriction base="s:string">
          <s:enumeration value="Ascending"/>
          <s:enumeration value="Descending"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="HostType">
        <s:restriction base="s:string">
          <s:enumeration value="All"/>
          <s:enumeration value="Personal"/>
          <s:enumeration value="Delegate"/>
          <s:enumeration value="Existent"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="FindHostsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="FindHostsResult" type="tns:TotalListOfHostValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfHostValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfHostValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfHostValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="HostValue" nillable="true" type="tns:HostValue"/>
        </s:sequence>
      </s:complexType>
      <s:element name="CreateHost">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="hostName" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="hostAddress" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="SMTPHost" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="SMTPPort" type="s:int"/>
            <s:element minOccurs="0" maxOccurs="1" name="SMTPFrom" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="SMTPUser" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="SMTPPassword" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateHostResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreateHostResult" type="tns:HostValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateHost">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="name" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="address" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="SMTPHost" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="SMTPPort" type="s:int"/>
            <s:element minOccurs="0" maxOccurs="1" name="SMTPFrom" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="SMTPUser" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="SMTPPassword" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="changeSMTPPassword" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateHostResponse">
        <s:complexType/>
      </s:element>
      <s:element name="ActivateHost">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="hostId" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="flagActivate" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ActivateHostResponse">
        <s:complexType/>
      </s:element>
      <s:element name="DeleteHost">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="hostId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteHostResponse">
        <s:complexType/>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetHostByIdSoapIn">
    <wsdl:part name="parameters" element="tns:GetHostById"/>
  </wsdl:message>
  <wsdl:message name="GetHostByIdSoapOut">
    <wsdl:part name="parameters" element="tns:GetHostByIdResponse"/>
  </wsdl:message>
  <wsdl:message name="GetHostByIdCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetHostByAddressSoapIn">
    <wsdl:part name="parameters" element="tns:GetHostByAddress"/>
  </wsdl:message>
  <wsdl:message name="GetHostByAddressSoapOut">
    <wsdl:part name="parameters" element="tns:GetHostByAddressResponse"/>
  </wsdl:message>
  <wsdl:message name="GetHostByAddressCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="FindHostsSoapIn">
    <wsdl:part name="parameters" element="tns:FindHosts"/>
  </wsdl:message>
  <wsdl:message name="FindHostsSoapOut">
    <wsdl:part name="parameters" element="tns:FindHostsResponse"/>
  </wsdl:message>
  <wsdl:message name="FindHostsCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateHostSoapIn">
    <wsdl:part name="parameters" element="tns:CreateHost"/>
  </wsdl:message>
  <wsdl:message name="CreateHostSoapOut">
    <wsdl:part name="parameters" element="tns:CreateHostResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateHostCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="UpdateHostSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateHost"/>
  </wsdl:message>
  <wsdl:message name="UpdateHostSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateHostResponse"/>
  </wsdl:message>
  <wsdl:message name="UpdateHostCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="ActivateHostSoapIn">
    <wsdl:part name="parameters" element="tns:ActivateHost"/>
  </wsdl:message>
  <wsdl:message name="ActivateHostSoapOut">
    <wsdl:part name="parameters" element="tns:ActivateHostResponse"/>
  </wsdl:message>
  <wsdl:message name="ActivateHostCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="DeleteHostSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteHost"/>
  </wsdl:message>
  <wsdl:message name="DeleteHostSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteHostResponse"/>
  </wsdl:message>
  <wsdl:message name="DeleteHostCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:portType name="HostWebServiceSoap">
    <wsdl:operation name="GetHostById">
      <wsdl:input message="tns:GetHostByIdSoapIn"/>
      <wsdl:output message="tns:GetHostByIdSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetHostByAddress">
      <wsdl:input message="tns:GetHostByAddressSoapIn"/>
      <wsdl:output message="tns:GetHostByAddressSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="FindHosts">
      <wsdl:input message="tns:FindHostsSoapIn"/>
      <wsdl:output message="tns:FindHostsSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateHost">
      <wsdl:input message="tns:CreateHostSoapIn"/>
      <wsdl:output message="tns:CreateHostSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="UpdateHost">
      <wsdl:input message="tns:UpdateHostSoapIn"/>
      <wsdl:output message="tns:UpdateHostSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="ActivateHost">
      <wsdl:input message="tns:ActivateHostSoapIn"/>
      <wsdl:output message="tns:ActivateHostSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="DeleteHost">
      <wsdl:input message="tns:DeleteHostSoapIn"/>
      <wsdl:output message="tns:DeleteHostSoapOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="HostWebServiceSoap" type="tns:HostWebServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="GetHostById">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/GetHostById" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetHostByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetHostByAddress">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/GetHostByAddress" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetHostByAddressCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindHosts">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/FindHosts" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:FindHostsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateHost">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/CreateHost" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateHost">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/UpdateHost" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:UpdateHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ActivateHost">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/ActivateHost" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:ActivateHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteHost">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/DeleteHost" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:DeleteHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="HostWebServiceSoap12" type="tns:HostWebServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="GetHostById">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/GetHostById" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetHostByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetHostByAddress">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/GetHostByAddress" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetHostByAddressCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FindHosts">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/FindHosts" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:FindHostsCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateHost">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/CreateHost" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateHost">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/UpdateHost" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:UpdateHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ActivateHost">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/ActivateHost" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:ActivateHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteHost">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/HostService/v_3_2/DeleteHost" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:DeleteHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="HostWebService">
    <wsdl:port name="HostWebServiceSoap" binding="tns:HostWebServiceSoap">
      <soap:address location="{location-placeholder}"/>
    </wsdl:port>
    <wsdl:port name="HostWebServiceSoap12" binding="tns:HostWebServiceSoap12">
      <soap12:address location="{location-placeholder}"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>